package config

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf

	DtDataStoreDB struct {
		DataSource string
	}

	Cache cache.CacheConf

	GtServerIp string

	RabbitMQ struct {
		Url string
	}
}
