package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcItemMapModel = (*customDcItemMapModel)(nil)

type (
	// DcItemMapModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcItemMapModel.
	DcItemMapModel interface {
		dcItemMapModel
	}

	customDcItemMapModel struct {
		*defaultDcItemMapModel
	}
)

// NewDcItemMapModel returns a model for the database table.
func NewDcItemMapModel(conn sqlx.SqlConn) DcItemMapModel {
	return &customDcItemMapModel{
		defaultDcItemMapModel: newDcItemMapModel(conn),
	}
}
